> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Background or Foreground

> Deletes one of your uploaded backgrounds or foregrounds. This can not be undone. A token or agent that names it starts with the avatar's own instead.



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml delete /assets/{kind}/{id}
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /assets/{kind}/{id}:
    delete:
      summary: Delete a Background or Foreground
      description: >-
        Deletes one of your uploaded backgrounds or foregrounds. This can not be
        undone. A token or agent that names it starts with the avatar's own
        instead.
      operationId: deleteAsset_assets__kind___asset_id__delete
      parameters:
        - name: kind
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/AssetKind'
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: Deleted
        '401':
          description: Unauthorized
        '404':
          description: Not one of your backgrounds / foregrounds
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AssetKind:
      type: string
      enum:
        - backgrounds
        - foregrounds
      title: AssetKind
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.